Bug 1473306 - (CVE-2017-11112) CVE-2017-11112 ncurses: Illegal address access in append_acs function
CVE-2017-11112 ncurses: Illegal address access in append_acs function
Status: CLOSED WONTFIX
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20170624,reported=2...
: Reopened, Security
: 1464686 (view as bug list)
Depends On: 1464686
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-20 08:50 EDT by Adam Mariš
Modified: 2017-10-19 05:38 EDT (History)
2 users (show)

See Also:
Fixed In Version: ncurses 6.0-20170701
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-10-19 05:38:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Mariš 2017-07-20 08:50:38 EDT
In ncurses 6.0, there is an attempted 0xffffffffffffffff access in the append_acs function of tinfo/parse_entry.c. It could lead to a remote denial of service attack if the terminfo library code is used to process untrusted terminfo data.

Bug report:

https://bugzilla.redhat.com/show_bug.cgi?id=1464686

Upstream patch:

https://lists.gnu.org/archive/html/bug-ncurses/2017-07/msg00001.html
Comment 1 Miroslav Lichvar 2017-07-26 09:10:05 EDT

*** This bug has been marked as a duplicate of bug 1464686 ***
Comment 2 Miroslav Lichvar 2017-07-26 09:17:37 EDT
*** Bug 1464686 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.